Bug 1030278 - DHT + NFS mount : got I/O error on file creation , using touch ( non privileged user , all subvolumes were up and on FUSE mount able to create)
DHT + NFS mount : got I/O error on file creation , using touch ( non privileg...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
2.1
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
:
Depends On:
Blocks: 1286209
  Show dependency treegraph
 
Reported: 2013-11-14 04:42 EST by Rachana Patel
Modified: 2015-11-27 07:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1286209 (view as bug list)
Environment:
Last Closed: 2015-11-27 07:30:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2013-11-14 04:42:08 EST
Description of problem:
Distributed volume  was mounted using FUSE and NFS. While creating file using touch command as a non privileged user got 'Input/output error' on NFS mount and on FUSE mount file creation was successful.

on nfs mount:-
 touch: cannot touch `9/f80': Input/output error
 touch: cannot touch `9/f81': Input/output error
 touch: cannot touch `9/f82': Input/output error
 touch: cannot touch `9/f83': Input/output error

all sub-volumes were up.

unable to find any failure in nfs log for the same.

Version-Release number of selected component (if applicable):
3.4.0.44rhs-1.el6rhs.x86_64

How reproducible:
got this more than once but don't know exact steps to reproduce


Steps to Reproduce:
1. execute touch command in loop from NFS mount

for more than one files got error and when executed from FUSE mount, files were created.

Actual results:
got I/O error in file creation

Expected results:
If all sub-vols are up, NFS mount should not give I/O error


Additional info:
Comment 3 Amar Tumballi 2013-12-02 04:57:27 EST
was there enough space in bricks?
Comment 9 Susant Kumar Palai 2015-11-27 07:30:58 EST
Cloning this to 3.1. To be fixed in future release.

Note You need to log in before you can comment on or make changes to this bug.